import { Question } from "@/types";
import { store } from "../store";
import { watch } from "vue";

export function chooseQuestion(question: Question) {
  store.currentQuestion = question;
}

/** chooseQuestion 当currentTask改变是，自动选择第一题 */
export function autoChooseFirstQuestion() {
  watch(
    () => store.currentTask,
    () => {
      const firstQuetion = store.currentTask?.questionList[0];
      firstQuetion && chooseQuestion(firstQuetion);
    }
  );

  return { chooseQuestion };
}
